// file NumberList.cpp

#include <iostream>
using namespace std;

#include "NumberList.h"

NumberList::NumberList() {
    
    count = 0;
}

void NumberList::appendNode(double num) {
    if (count < SIZE) {
        array[count] = num;
        count++;
    } else
        cout << "Error: cannot append value, list is full" << endl;
        //maybe we should add isFull/isEmpty?
}

void NumberList::insertNode(double num) {
    //keep the list sorted
    int i=0;
    while (i<count && array[i]<num) {
        i++;
    }
    
    count++;
    
    //shift right to open up a spot in the array
    int j= count-1;
    while (j>i) {
        array[j]=array[j-1];
        j--;
    }
    array[i] = num;
}

void NumberList::deleteNode(double num) {
    
    int i=0;
    while (i<count && array[i]!=num) {
        i++;
    }
    
    if (i<count) {  //found at i
        count--;
        
        //shift left to close gap
        while (i<count) {
            array[i] = array[i+1];
            i++;
        }
    }
    
}

void NumberList::displayList() {
    for (int i=0; i<count; i++) {
        cout << array[i] << " ";
    }
    cout << endl;

}
